namespace MyOffice.Services.Account;

using Data.Models.Accounts;

public partial class AccountService
{
	private static AccountAccess? GetUserAccess(Account account, Guid userId) =>
		AccountAcl.GetUserAccess(account, userId);

	private static bool CanWrite(Account account, Guid userId) =>
		AccountAcl.CanWrite(account, userId);

	private static bool CanManage(Account account, Guid userId) =>
		AccountAcl.CanManage(account, userId);
}
